#pragma once
#include <iomanip>
#include <iostream>
#include <fstream>
#include <string>
#include <sstream>
#include <cmath>
#include <cstdlib>

#include "math/matrix.hh"
#include "commons.hh"

using namespace std;



namespace HELL {

  extern dcomplex newDeltaGammaResNLOqg(dcomplex Delta_gammaLO_BatNLO, dcomplex Delta_gammaLOdot_BatNLO, dcomplex N, double as, double nf, dcomplex Delta_gammaNLO=0);
  extern dcomplex DeltaCLRes(dcomplex Delta_gammaLO_BatNLO, dcomplex Delta_gammaLOdot_BatNLO, dcomplex N, double as, double nf, dcomplex Delta_gammaNLO=0);
  extern dcomplex DeltaC2Res(dcomplex Delta_gammaLO_BatNLO, dcomplex Delta_gammaLOdot_BatNLO, dcomplex N, double as, double nf, dcomplex Delta_gammaNLO=0);

  extern dcomplex integrand(double xi, dcomplex gamma, dcomplex r, process p, double x1);
  extern dcomplex evolU(double xi, dcomplex g, dcomplex r);
  extern dcomplex integrandGSL(double x, void *p);
  extern double Dxi_C2off(double xi);

};

